import { apiClient } from '@/services/api/client';
import { SearchResults } from '@/types/search';

export const searchApi = {
    search: async (query: string): Promise<SearchResults> => {
        const response = await apiClient.get<SearchResults>(`/search`, {
            params: { q: query },
        });
        return response.data;
    },
};
